Subject: RE: [PWE3] BFD for MPLS PWs

From: "Busschbach, Peter B (Peter)" <[email-masked]>
Date: Tue, 15 Aug 2006 16:52:39 -0400

Tom,

Regarding ...

> 	The consensus I think we reached on the thread was to
> use an OR function for detecting the down status either from
> BFD/VCCV or LDP, but to use an AND function when detecting
> the transition to the up status from both of these (if they
> are in use). However, the de-facto status must always rely on
> LDP as RFC4447 states that one MUST signal status using LDP for
> PWs using the LDP status codes. Of course, this is if you are
> using LDP as the signaling protocol instead of say setting up the
> PWs statically.  I am adding this text to the draft, but after I
> get the text on the CC/CV types straight.
> 

I agree that RFC4447 mandates the use of LDP for status signaling. However, if you read the text, that does not only apply to PW status but also to AC status.

The intent behind the use of BFD for AC status signaling is NOT to use LDP to signal the same faults. It would defeat the purpose. Currently, section 5.3 of OAM-MAP says:
" iii.  [BFD is] used for both PW fault detection and all PW/AC fault notifications. In this case PW status should not be used."

In my opinion, the work on VCCV and OAM-MAP provides a further specification of RFC4447 and in fact overrules the requirement that LDP Status signaling must be used.

A minor comment on your email:
I am not sure what you mean by the "de-facto status must always rely on LDP". Either you declare that that the PW is down when (1) BFD OR LSP indicate a PW failure, or (2) based only on the LDP status. In my mind "de-facto status" implies (2), whereas the beginning of your email says that (1) is the proposed procedure.

Peter

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Luca Martini <[email-masked]>
Date: Tue, 15 Aug 2006 16:29:15 -0600

> In my opinion, the work on VCCV and OAM-MAP provides a further specification of RFC4447 and in fact overrules the requirement that LDP Status signaling must be used.
Peter, 
We agreed a long time ago that the LDP status messaging was going to be mandatory , in fact people insisted I make it mandatory.
So I would have to say that the LDP status MUST always be used as mandated in RFC 4447, and the BFD status messaging is an optional, and , in my opinion, not a very useful option when LDP is in use.

Luca